Index: pjproject/trunk/Makefile
===================================================================
--- pjproject/trunk/Makefile	(revision 699)
+++ pjproject/trunk/Makefile	(revision 700)
@@ -11,5 +11,5 @@
 	for dir in $(DIRS); do \
 	   if [ -d $$dir ]; then \
-		if make $(MAKE_FLAGS) -C $$dir/build $@; then \
+		if $(MAKE) $(MAKE_FLAGS) -C $$dir/build $@; then \
 		    true; \
 		else \
Index: pjproject/trunk/aconfigure.ac
===================================================================
--- pjproject/trunk/aconfigure.ac	(revision 699)
+++ pjproject/trunk/aconfigure.ac	(revision 700)
@@ -28,4 +28,20 @@
 AC_MSG_RESULT([Setting PJ_M_NAME to $target_cpu])
 AC_DEFINE_UNQUOTED(PJ_M_NAME,["$target_cpu"])
+
+dnl
+dnl Memory alignment detection
+dnl
+AC_MSG_CHECKING([memory alignment])
+case $target in
+    ia64-* | x86_64-* )
+	AC_DEFINE(PJ_POOL_ALIGNMENT, 8)
+	AC_MSG_RESULT([8 bytes])
+	;;
+    * )
+	AC_DEFINE(PJ_POOL_ALIGNMENT, 4)
+	AC_MSG_RESULT([4 bytes (default)])
+	;;
+esac
+
 
 dnl
@@ -151,5 +167,5 @@
 dnl # Determine if socklen_t is available
 AC_MSG_CHECKING([if socklen_t is available])
-AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <unistd.h>]],
+AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <sys/socket.h>]],
 		    		   [socklen_t xxx = 0;])],
 		  [AC_DEFINE(PJ_HAS_SOCKLEN_T,1)
@@ -204,5 +220,17 @@
 dnl # Sound device backend selection
 AC_SUBST(ac_pjmedia_snd)
-case $target in
+AC_ARG_ENABLE(sound,
+	      AC_HELP_STRING([--disable-sound],
+			     [Exclude sound (i.e. use null sound)]),
+	      [if test "$enable_sound" = "no"; then
+		[ac_pjmedia_snd=null]
+		AC_MSG_RESULT([Checking if sound is disabled... yes])
+	       fi]
+	      )
+
+if test "$enable_sound" = "no"; then
+  true;
+else
+ case $target in
   *darwin*)
 	ac_pjmedia_snd=pa_darwinos
@@ -227,5 +255,6 @@
 	AC_MSG_RESULT([Checking sound device backend... unix])
 	;;
-esac
+ esac
+fi
 
 dnl # Include resampling small filter
Index: pjproject/trunk/pjlib/include/pj/compat/os_auto.h.in
===================================================================
--- pjproject/trunk/pjlib/include/pj/compat/os_auto.h.in	(revision 699)
+++ pjproject/trunk/pjlib/include/pj/compat/os_auto.h.in	(revision 700)
@@ -134,4 +134,7 @@
 #undef PJ_NATIVE_STRING_IS_UNICODE
 
+/* Pool alignment in bytes */
+#undef PJ_POOL_ALIGNMENT
+
 /* The type of atomic variable value: */
 #undef PJ_ATOMIC_VALUE_TYPE
